/*
 *   This file is a part of the SteamWar software.
 *
 *   Copyright (C) 2025 SteamWar.de-Serverteam
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.steamwar.bausystem.config;

import de.steamwar.providers.BauServerInfo;
import de.steamwar.sql.SteamwarUser;
import lombok.Getter;

import java.util.UUID;

public class BauServer {

    @Getter
    private static BauServer instance = new BauServer();

    private BauServer() {
    }

    private Integer owner;

    public UUID getOwner() {
        return SteamwarUser.byId(getOwnerID()).getUUID();
    }

    public int getOwnerID() {
        //Lazy loading to improve startup time of the server in 1.15
        if (owner == null) {
            owner = BauServerInfo.getOwnerId();
        }
        return owner;
    }
}